package sgc.portal.cd.cdcom.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cdcom.dto.CDCOMSearch;
import sgc.portal.cd.cdcom.persistence.CDCOMMapper;

import java.util.List;

@Service
public class CDCOMService {
    private final CDCOMMapper mapper;

    public CDCOMService(CDCOMMapper mapper) {
        this.mapper = mapper;
    }
    
    //본부
    public List<EasyHashMap<String, Object>> getComboCcgrpKo(CDCOMSearch search) {
        return mapper.getComboCcgrpKo(search);
    }
    
    public List<EasyHashMap<String, Object>> getComboCcgrpEn(CDCOMSearch search) {
        return mapper.getComboCcgrpEn(search);
    }
    
    public List<EasyHashMap<String, Object>> getComboCcgrpKo2(CDCOMSearch search) {
        return mapper.getComboCcgrpKo2(search);
    }
}
